﻿:root {
    --z-index-error: 10000;
    --z-index-loader: 9990;
}

html {
    height: 100%;
}

body {
    min-height: 100%;
    height: 100%;
    margin: 0;
    background-color: #ECEFF1;
}

#blazor-error-ui {
    border: none;
    color: #fff;
    background: #e74c3c;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.25);
    margin: 1rem;
    padding: 1rem;
    width: auto;
    bottom: 0;
    left: 0;
    position: fixed;
    display: none;
    font-family: sans-serif;
    z-index: var(--z-index-error);
}

    #blazor-error-ui .reload {
        color: rgba(255, 255, 255, 0.75);
        text-decoration: none;
        padding-right: 1rem;
    }

    #blazor-error-ui .dismiss {
        color: rgba(255, 255, 255, 0.75);
        position: relative;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
        text-decoration: none;
    }

    #blazor-error-ui .description {
        color: #fff;
        padding-right: 1rem;
    }

#app {
    width: 100%;
    height: 100%;
}

.app-loader-container {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.app-loader-title {
    font-size: 1.25rem;
    font-family: sans-serif;
    padding: 0.5rem;
}

.app-loader {
    animation: spin 1s infinite linear;
    border: solid 0.25em transparent;
    border-radius: 50%;
    border-right-color: #007bff;
    border-top-color: #007bff;
    box-sizing: border-box;
    width: 2em;
    height: 2em;
    z-index: var(--z-index-loader);
    display: flex;
}

    .app-loader:before {
        animation: spin 2s infinite linear;
        border: solid 0.25em transparent;
        border-radius: 50%;
        border-left-color: #28a745;
        border-top-color: #28a745;
        box-sizing: border-box;
        content: "";
        width: 1.5em;
        height: 1.5em;
        position: absolute;
    }

    .app-loader:after {
        animation: spin 2s infinite linear reverse;
        border: solid 0.25em transparent;
        border-radius: 50%;
        border-left-color: #6c757d;
        border-bottom-color: #6c757d;
        box-sizing: border-box;
        content: "";
        width: 1em;
        height: 1em;
        left: 0.25em;
        top: 0.25em;
        position: absolute;
    }

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

.cell-hover {
    visibility: hidden;
}

tr:hover .cell-hover {
    visibility: visible;
}

.input-group-button-container {
    position: relative;
}

.input-group-button-input {
    width: 100%;
    box-sizing: border-box;
}

.input-group-button {
    position: absolute;
    right: 3px;
    top: 3px;
    bottom: 3px;
    line-height: 1 !important;
    z-index: 4;
}

.input-group-button-hover {
    visibility: hidden;
}

div.input-group-button-container:hover .input-group-button-hover {
    visibility: visible;
}